gnutls_set_default_priority(3)

NAME
gnutls_set_default_priority - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_set_default_priority(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

DESCRIPTION
Sets the default priority on the ciphers, key exchange methods, macs and compression methods. For more fine-tuning you could use gnutls_priority_set_direct() or gnutls_priority_set() instead.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/